Skip to main content
POST
Create

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-11-04.everglades"

Query Parameters

expand
enum<string>[]

Fields to expand on the config type resource.

Available options:
created_by,
archived_by
Example:

Body

application/json
name
string
required

The name of the config type.

Example:

"My Config Type"

slug
string
required

An immutable, code-friendly name for the config type.

Example:

"my-config-type"

Response

200 - application/json

Successfully created the config type.

object
enum<string>
required

The object type, which is always config_type.

Available options:
config_type
Example:

"config_type"

id
string
required

ID of the config type.

Example:

"cfg_123"

name
string
required

Name of the config type.

Example:

"My Config Type"

slug
string
required

An immutable, code-friendly name for the config type.

Example:

"my-config-type"

created_at
string<date-time>
required

Timestamp of when the config type was created.

Example:

"2021-01-01T00:00:00Z"

updated_at
string<date-time>
required

Timestamp of when the config type was last updated.

Example:

"2021-01-01T00:00:00Z"

created_by_id
string
required

ID of the principal who created the config type.

Example:

"usr_123"

archived_at
string<date-time> | null
required

Timestamp of when the config type was archived. Null if the config type is not archived.

Example:

"2021-01-01T00:00:00Z"

archived_by_id
string | null
required

ID of the principal who archived the config type. Null if the config type is not archived or was archived before this field was recorded.

Example:

"usr_123"

created_by
Principal · object

The principal who created the config type. Expand using expand=created_by in the query string.

Example:
archived_by
Principal · object | null

The principal who archived the config type. Null if archived_by_id is null. Expand using expand=archived_by in the query string.

Example: